package com.gingersoft.supply_chain.mvp.bean;

/**
 * @author 宇航. 1239658231@qq.com
 * User: admin
 * Date: 2021/5/12
 * Time: 11:24
 * Use:
 */
public class SnInoutBoundRecordBean {
    /**
     * encodeFoodNo : Mdse1379
     * encodeOrderNo : RK202105111037773
     * encodeSnNo : 111
     * status : 1
     * brandId : 1
     * restaurantId : 26
     * purchaseWarehousingOrderDetailsIds : 1225
     * name : 荷兰烤肉SN
     */
    private String encodeFoodNo;
    private String encodeOrderNo;
    private String encodeSnNo;
    /**
     * 是否出库：1未出库{@link NOT_OUT_STOCK}，2已出库{@link OUT_STOCK}
     */
    private int status;
    public static int OUT_STOCK = 2;
    public static int NOT_OUT_STOCK = 1;

    private int brandId;
    private int restaurantId;
    /**
     * 入库详情id
     */
    private String purchaseWarehousingOrderDetailsIds;
    private String name;
    private String images;
    /**
     * 是否已經加載過詳情了
     */
    private boolean isLoadDetails = false;

    public String getEncodeFoodNo() {
        return encodeFoodNo;
    }

    public void setEncodeFoodNo(String encodeFoodNo) {
        this.encodeFoodNo = encodeFoodNo;
    }

    public String getEncodeOrderNo() {
        return encodeOrderNo;
    }

    public void setEncodeOrderNo(String encodeOrderNo) {
        this.encodeOrderNo = encodeOrderNo;
    }

    public String getEncodeSnNo() {
        return encodeSnNo;
    }

    public void setEncodeSnNo(String encodeSnNo) {
        this.encodeSnNo = encodeSnNo;
    }

    public int getStatus() {
        return status;
    }

    public void setStatus(int status) {
        this.status = status;
    }

    public int getBrandId() {
        return brandId;
    }

    public void setBrandId(int brandId) {
        this.brandId = brandId;
    }

    public int getRestaurantId() {
        return restaurantId;
    }

    public void setRestaurantId(int restaurantId) {
        this.restaurantId = restaurantId;
    }

    public String getPurchaseWarehousingOrderDetailsIds() {
        return purchaseWarehousingOrderDetailsIds;
    }

    public void setPurchaseWarehousingOrderDetailsIds(String purchaseWarehousingOrderDetailsIds) {
        this.purchaseWarehousingOrderDetailsIds = purchaseWarehousingOrderDetailsIds;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getImages() {
        return images;
    }

    public void setImages(String images) {
        this.images = images;
    }

    public boolean isLoadDetails() {
        return isLoadDetails;
    }

    public void setLoadDetails(boolean loadDetails) {
        isLoadDetails = loadDetails;
    }
}
